GMX-CONVERT-TRJ(1)

NAME
gmx-convert-trj - Converts between different trajectory types

SYNOPSIS

gmx convert-trj [-f [<.xtc/.trr/...>]] [-s [<.tpr/.gro/...>]]
             [-n [<.ndx>]] [-o [<.xtc/.trr/...>]] [-b <time>]
             [-e <time>] [-dt <time>] [-tu <enum>]
             [-fgroup <selection>] [-xvg <enum>] [-[no]rmpbc]
             [-[no]pbc] [-sf <file>] [-selrpos <enum>]
             [-select <selection>] [-vel <enum>] [-force <enum>]
             [-atoms <enum>] [-precision <int>] [-starttime <time>]
             [-timestep <time>] [-box <vector>]

DESCRIPTION

gmx convert-trj converts trajectory files between different formats. The module supports writing all GROMACS supported file formats from the supported input formats.

Included is also a selection of possible options to modify individual trajectory frames, including options to produce slimmer output files. It is also possible to replace the particle information stored in the input trajectory with those from a structure file

The module can also generate subsets of trajectories based on user supplied selections.

OPTIONS

Options to specify input files:

-f [<.xtc/.trr/…>] (traj.xtc) (Optional)
    Input trajectory or single configuration: xtc trr cpt gro g96 pdb tng

-s [<.tpr/.gro/…>] (topol.tpr) (Optional)
    Input structure: tpr gro g96 pdb brk ent

-n [<.ndx>] (index.ndx) (Optional)
    Extra index groups

    Options to specify output files:

-o [<.xtc/.trr/…>] (trajout.xtc)
    Output trajectory: xtc trr cpt gro g96 pdb tng

    Other options:

-b <time> (0)
    First frame (ps) to read from trajectory

-e <time> (0)
    Last frame (ps) to read from trajectory

-dt <time> (0)
    Only use frame if t MOD dt == first time (ps)

-tu <enum> (ps)
    Unit for time values: fs, ps, ns, us, ms, s

-fgroup <selection>
    Atoms stored in the trajectory file (if not set, assume first N atoms)

-xvg <enum> (xmgrace)
    Plot formatting: none, xmgrace, xmgr

-[no]rmpbc (yes)
    Make molecules whole for each frame

-[no]pbc (yes)
    Use periodic boundary conditions for distance calculation

-sf <file>
    Provide selections from files

-selrpos <enum> (atom)
    Selection reference positions: atom, res_com, res_cog, mol_com, mol_cog, whole_res_com, whole_res_cog, whole_mol_com, whole_mol_cog, part_res_com, part_res_cog, part_mol_com, part_mol_cog, dyn_res_com, dyn_res_cog, dyn_mol_com, dyn_mol_cog

-select <selection>
    Selection of particles to write to the file

-vel <enum> (preserved-if-present)
    Save velocities from frame if possible: preserved-if-present, always, never

-force <enum> (preserved-if-present)
    Save forces from frame if possible: preserved-if-present, always, never

-atoms <enum> (preserved-if-present)
    Decide on providing new atom information from topology or using current frame atom information: preserved-if-present, always-from-structure, never, always

-precision <int> (3)
    Set output precision to custom value

-starttime <time> (0)
    Change start time for first frame

-timestep <time> (0)
    Change time between different frames

-box <vector>
    New diagonal box vector for output frame

SEE ALSO

gmx(1)

More information about GROMACS is available at <http://www.gromacs.org/>.

COPYRIGHT
2021, GROMACS development team